<?php

namespace Ulmus\Attribute\Obj;

use Ulmus\Attribute\IndexTypeEnum;

#[\Attribute(\Attribute::TARGET_CLASS | \Attribute::IS_REPEATABLE)]
class Index {
    public function __construct(
        public string|array $column,
        public IndexTypeEnum $type = IndexTypeEnum::Unique,
        public null|string $name = null,
    ) {}
}
