<?php

namespace Ulmus\SearchRequest;

use Psr\Http\Message\ServerRequestInterface;

trait SearchRequestConstructorTrait
{
    public function __construct(array $parameters = [])
    {
        $this->fromArray($parameters);
    }

    public function fromArray(array $data): self
    {
        foreach(array_filter($data, fn($e) => $e !== "") as $key => $value) {
            $this->$key = $value;
        }

        return $this;
    }
}